Package com.databricks.jdbc.common.util

## Class DriverUtil

- java.lang.Object
- - com.databricks.jdbc.common.util.DriverUtil

    public class DriverUtil
    extends Object

Utility class for operations related to the Databricks JDBC driver.

This class provides methods for retrieving version information, setting up logging and resolving metadata clients.

### Field Summary

Fields
`static int` `DBSQL_MIN_MAJOR_VERSION_FOR_SEA_SUPPORT`
`static int` `DBSQL_MIN_MINOR_VERSION_FOR_SEA_SUPPORT`

### Constructor Summary

Constructors
`DriverUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `getMajorVersion()`
`static int` `getMinorVersion()`
`static String` `getRootCauseMessage​(Throwable e)`
`static String` `getVersion()`
`static void` `resolveMetadataClient​(IDatabricksConnection connection)`
`static void` `setUpLogging​(IDatabricksConnectionContext connectionContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DBSQL_MIN_MAJOR_VERSION_FOR_SEA_SUPPORT

    public static final int DBSQL_MIN_MAJOR_VERSION_FOR_SEA_SUPPORT

See Also:
  Constant Field Values

#### DBSQL_MIN_MINOR_VERSION_FOR_SEA_SUPPORT

    public static final int DBSQL_MIN_MINOR_VERSION_FOR_SEA_SUPPORT

See Also:
  Constant Field Values

### Constructor Detail

#### DriverUtil

    public DriverUtil()

### Method Detail

#### getVersion

    public static String getVersion()

#### getMajorVersion

    public static int getMajorVersion()

#### getMinorVersion

    public static int getMinorVersion()

#### resolveMetadataClient

    public static void resolveMetadataClient​(IDatabricksConnection connection)
                                      throws DatabricksValidationException

Throws:
  `DatabricksValidationException`

#### setUpLogging

    public static void setUpLogging​(IDatabricksConnectionContext connectionContext)
                             throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

#### getRootCauseMessage

    public static String getRootCauseMessage​(Throwable e)